Overview
POST
/bucket/buckets/{bucketId}/access-groupsbucketCreate an access group in a bucket
Create a record in access-groups.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- bucketIdpathstring
Request body
application/json · optional
- namestring
- descriptionoptionalstring
Example
{
"name": "string",
"description": "string"
}Responses
201
Created access group
- idstring
- ecosystemIdstring
owning ecosystem
- bucketIdstring
- namestring
- descriptionstring
- kindstring
'everyone' (seeded) or 'custom'
- metadataoptionalobject?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"bucketId": "string",
"name": "string",
"description": "string",
"kind": "string",
"metadata": {},
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/bucket/buckets/{bucketId}/access-groups" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/buckets/{bucketId}/access-groups", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"name\": \"string\",\n \"description\": \"string\"\n}",
});
const data = await res.json();